Bug 131223 - RFE: Please add GIS Options to Postgresql and Other GIS Applications to the Next FC
RFE: Please add GIS Options to Postgresql and Other GIS Applications to the N...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
http://postgis.refractions.net/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-30 02:02 EDT by Greg Morgan
Modified: 2013-07-02 23:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: fedora-extras-6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 15:20:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2004-08-30 02:02:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Please consider adding Geographic Information Systems, GIS, support to
the next release of Fedora Core.  One of the options would be
"Spatially" enabling PostgreSQL,
http://www.gis-news.de/news/fme_postgis.htm.  I have used Oracle
Spatial in business applications.  In one shell script application I
was able to use a SQL query to find qualified rows based on the row's
relationship to map data in the database.  I reported on these and
used Mutt to email the report to a dynamic list of email addresses. 
This simple application saved the organization many hours each day of
manually assembling this information.  There is no reason open source
databases cannot have the same power.  This script could easily be
adapted to PostGIS enable PostgreSQL database. What is encouraging is
that the postgis extensions to postgreSQL already have "commercial"
support through FME.  FC 1 RPMs are located here
http://postgis.refractions.net/rpms/fedora/1/i386/.

On top of the database support these following applications from the
GISKnoppix distro,
http://www.sourcepole.com/sources/software/gis-knoppix/, also look
promising.  The development list also mentioned some of these packages
http://www.redhat.com/archives/fedora-devel-list/2004-August/msg00171.html.
It would be great to add these to Fedora also.

#  GRASS
Raster/vector GIS, image processing system, and graphics production system
# UMN MapServer
Environment for building spatially enabled Internet applications
# MapLab
Suite of web-based tools to create and manage MapServer applications
and map files
# MapDesk
Viewer/editor for UMN Mapserver
# PostgreSQL / PostGIS
Postgres database with PostGIS extension
# MySQL 4.1
MySQL database with spatial extensions
# TerraView
Viewer and data analysis for vector and raster data stored in databases
# Jump
Workbench for viewing, editing, and processing spatial datasets
# Thuban
Interactive geographic data viewer
# Interlis
Compiler and UML editor for Interlis formats
# and other software
GPSdrive, GPSMan, TerraView, Jump, Thuban, Interlis, 
# Spearfish data set for GRASS



Version-Release number of selected component (if applicable):
postgresql-server-7.4.2-1

How reproducible:
Always

Steps to Reproduce:
1.FC 1 and 2 do not include GIS support in the distro.
2.
3.
    

Actual Results:  Using ESRI, http://www.esri.com/, products.  The
bright side is that they are replacing the AML language with Python as
the scripting language.

Expected Results:  Use Open Source GIS application software.

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:34:56 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Matthew Miller 2005-04-26 19:08:39 EDT
For what it's worth, there's been some activity on the Fedora Extras list about
getting some of these programs included.
Comment 3 Greg Morgan 2005-04-26 22:56:35 EDT
Matthew.  Thanks  I see you changed the version to fc4test2.
Comment 4 Tom Lane 2005-04-26 23:08:52 EDT
I think Extras seems like a fine idea.  While I'd personally like to see anything and everything Postgres-
related included in Core, it seems unlikely to happen in the near future :-(  I pushed this bugzilla entry 
up to current just so it wouldn't fall off the radar completely ... but I don't foresee that I can actually 
respond to it soon either ...
Comment 5 Greg Morgan 2006-03-30 20:48:07 EST
Changed status to current release so the RFE remains on the list.
Comment 6 Tom Lane 2007-02-08 15:20:24 EST
postgis is included in Fedora Extras as of a couple months ago, so we can
finally close this item as complete.

Note You need to log in before you can comment on or make changes to this bug.